Contents

SMART Notebook 19 computer requirements

Overview

Learn what the minimum computer requirements are for installing SMART Learning Suite and SMART Notebook 19.

Product

  • SMART Notebook 19

Concepts

  • install
  • computer requirements
  • windows
  • macOS

Before you install the software, ensure the computer meets the following minimum requirements:

 

Windows operating system

macOS operating system

General

Supported operating systems

Windows 10

Windows 8.1

Windows 7 SP1 (with Platform Update KB2670838 and Security Update KB3033929, or any future update that supersedes it).

macOS Catalina (10.15)

macOS Mojave (10.14)

macOS High Sierra (10.13)

macOS Sierra (10.12)

Minimum hard disk space

4.7 GB

2.3 GB

Minimum specs for standard and high definition displays (up to 1080p and similar)

Minimum processor

Intel Core m3

Intel Core 2 Duo

Minimum RAM

4 GB

4 GB

Minimum specs for ultra high definition displays (4K)

Minimum graphics card

Discrete GPU

Note 

SMART strongly recommends that your video card meets or exceeds the preferred requirements. SMART Notebook can run with an integrated GPU. However, your experience and SMART Notebook’s performance can vary depending on the capabilities of the GPU, your operating system, and other concurrently running applications.

[N/A]

Minimum processor/system

Intel Core i3

Late 2013 Retina MacBook Pro or later (minimum)

Late 2013 Mac Pro (recommended)

Minimum RAM

8 GB

8 GB

Other requirements

Programs

Microsoft .NET Framework 4.5.1 or later for SMART Notebook software and SMART Ink

Microsoft Visual Studio Tools 2010 for Office for SMART Ink

Adobe Reader 8.0 or later

DirectX technology 10 or later for SMART Notebook software

DirectX 10 compatible graphics hardware for SMART Notebook software

Notes 

  • All prerequisite third-party software is built into the installation executable and is automatically installed in the correct order when you run the EXE.

  • These are the minimum requirements for SMART Learning Suite, however SMART recommends updating to the most recent versions of the software listed above.

[N/A]

Web Access

Internet Explorer 11 or later

Internet access to download and activate SMART software

Safari 8 or later

Internet access to download and activate SMART software

Note 

Operating systems and other third-party software released after this SMART software might not be supported.

Was this information helpful?

YesNo